Page MenuHomePhabricator

UploadWizard form gets to deadlock when the file title is not accepted
Closed, ResolvedPublic

Description

When the page "Describe" of UploadWizard is sent by the button "Next" with a "title" of the file not accepted by UploadWizzard, the page displays a warning "Please make this title more meaningful." and a message "None of the uploads were successful.". The title field can be edited and corrected, but the page contains no button to send the corrected form nor any button to return to any previous step. All previous steps are lost.

A second issue is why the form proposes an unacceptable name of the original file as a new title (and without any well-timed warning). Shouldn't the title field rather remain empty in such cases?

Event Timeline

SJu created this task.Jul 26 2015, 3:09 AM
SJu raised the priority of this task from to Normal.
SJu updated the task description. (Show Details)
SJu added a project: UploadWizard.
SJu added a subscriber: SJu.
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 26 2015, 3:09 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 16 2015, 9:21 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:22 PM
matmarex claimed this task.Sep 8 2015, 12:14 AM
Matanya raised the priority of this task from Normal to High.Sep 8 2015, 12:18 AM
Matanya set Security to None.
matmarex reopened this task as Open.Sep 9 2015, 4:58 PM

This is not the same bug as T48741, that one just had a confusing title.

Change 237306 had a related patch set uploaded (by Bartosz Dziewoński):
Actually display a button to try after errors in the 'Details' step

https://gerrit.wikimedia.org/r/237306

(It is the same as T105545 and T100975, though.) All this because of a typo in a cleanup commit made in May :/ Sorry about that.

MarkTraceur closed this task as Resolved.Sep 11 2015, 4:19 PM
MarkTraceur added a subscriber: MarkTraceur.

Thanks, MatmaRex.

Change 237306 merged by jenkins-bot:
Actually display a button to try after errors in the 'Details' step

https://gerrit.wikimedia.org/r/237306

Jdforrester-WMF moved this task from Backlog to Done on the Multimedia board.Sep 11 2015, 6:22 PM
Jdforrester-WMF renamed this task from UploadWizard form gets to deadlock when the file title is not accepted to user-noUploadWizard form gets to deadlock when the file title is not accepted.Sep 11 2015, 9:33 PM
Jdforrester-WMF added a project: User-notice.
Jdforrester-WMF moved this task from To Triage to Announce in next Tech/News on the User-notice board.
matmarex renamed this task from user-noUploadWizard form gets to deadlock when the file title is not accepted to UploadWizard form gets to deadlock when the file title is not accepted.Sep 11 2015, 9:55 PM
matmarex removed a project: Patch-For-Review.